## edu.stanford.nlp.optimization
Enum QNMinimizer.eLineSearch

    java.lang.Object
      java.lang.Enum<QNMinimizer.eLineSearch>
          edu.stanford.nlp.optimization.QNMinimizer.eLineSearch

All Implemented Interfaces:
  Serializable, Comparable<QNMinimizer.eLineSearch>

Enclosing class:
  QNMinimizer

    public static enum QNMinimizer.eLineSearch

extends Enum<QNMinimizer.eLineSearch>

Enum Constant Summary
`BACKTRACK`
`MINPACK`

Method Summary
`static QNMinimizer.eLineSearch` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QNMinimizer.eLineSearch[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BACKTRACK

    public static final QNMinimizer.eLineSearch BACKTRACK

### MINPACK

    public static final QNMinimizer.eLineSearch MINPACK

Method Detail

### values

    public static QNMinimizer.eLineSearch[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QNMinimizer.eLineSearch c : QNMinimizer.eLineSearch.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QNMinimizer.eLineSearch valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Stanford NLP Group